> For the complete documentation index, see [llms.txt](https://developer.eagle.cool/plugin-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.eagle.cool/plugin-api/zh-cn/api/drag.md).

# drag（拖拽文件）

#### 方法 <a href="#z1a5y" id="z1a5y"></a>

## startDrag(filePaths) <a href="#tkp0d" id="tkp0d"></a>

显示通知窗口

* `filePaths` string\[] - 欲拖拽文件路径
* 返回 `Promise<>`

```javascript
await eagle.drag.startDrag([
    "C:\\Users\\User\\Pictures\\drag1.jpg",
    "C:\\Users\\User\\Pictures\\drag2.jpg",
]);
```

{% hint style="info" %}
备注：此功能与 Electron API 的 [webContents.startDrag(item)](https://www.electronjs.org/zh/docs/latest/tutorial/native-file-drag-drop) 功能类似。
{% endhint %}

#### &#x20;<a href="#p4ult" id="p4ult"></a>

### &#x20;<a href="#nptwx" id="nptwx"></a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.eagle.cool/plugin-api/zh-cn/api/drag.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
